<?xml version="1.0" encoding="utf-8"?>
<androidx.drawerlayout.widget.DrawerLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/drawer"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".MainActivity"
    android:fitsSystemWindows="true"
    tools:openDrawer="left"
    android:layout_gravity="start"
    >

    <include
         android:id="@+id/layout"
        layout="@layout/activity_framelayout"
         android:layout_height="match_parent"
         android:layout_width="match_parent"/>

    <com.google.android.material.navigation.NavigationView
        android:id="@+id/design_navigation_view"
        android:layout_width="wrap_content"
        android:layout_height="match_parent"
        android:layout_gravity="start|left"
        app:headerLayout="@layout/headerdesign"
        app:menu="@menu/navimenu"
        tools:visibility="invisible"/>


</androidx.drawerlayout.widget.DrawerLayout>